import { Category } from "./enums";

interface DamageLogger {
  (reason: string): void;
}

interface Book {
  author: string,
  available: boolean,
  category: Category;
  id: number,
  pages?: number,
  title: string,

  markDamaged?: DamageLogger,
}

export {
  Book,
  DamageLogger,
}
